Package ru.bitel.bgbilling.kernel.tariff.option.common.bean

# Class TariffOption.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.tariff.option.common.bean.TariffOption.Builder

Enclosing class:
  `TariffOption`

public static class TariffOption.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TariffOption`
  `build()`
  `TariffOption.Builder`
  `setActivateModeList(List<TariffOptionActivateMode> activateModeList)`
  `TariffOption.Builder`
  `setComment(String comment)`
  `TariffOption.Builder`
  `setConfig(String config)`
  `TariffOption.Builder`
  `setContractLabels(Set<Integer> contractLabels)`
  `TariffOption.Builder`
  `setDateFrom(Date dateFrom)`
  `TariffOption.Builder`
  `setDateTo(Date dateTo)`
  `TariffOption.Builder`
  `setDepends(Set<Integer> depends)`
  `TariffOption.Builder`
  `setDescription(String description)`
  `TariffOption.Builder`
  `setHideForContractGroupsMode(int hideForContractGroupsMode)`
  `TariffOption.Builder`
  `setHideForContractLabels(Set<Integer> hideForContractLabels)`
  `TariffOption.Builder`
  `setHideForWeb(boolean hideForWeb)`
  `TariffOption.Builder`
  `setId(int id)`
  `TariffOption.Builder`
  `setIncompatible(Set<Integer> incompatible)`
  `TariffOption.Builder`
  `setTariffIdSet(Set<Integer> tariffIdSet)`
  `TariffOption.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public TariffOption.Builder setId(int id)

  - ### setTitle

    public TariffOption.Builder setTitle(String title)

  - ### setTariffIdSet

    public TariffOption.Builder setTariffIdSet(Set<Integer> tariffIdSet)

  - ### setContractLabels

    public TariffOption.Builder setContractLabels(Set<Integer> contractLabels)

  - ### setActivateModeList

    public TariffOption.Builder setActivateModeList(List<TariffOptionActivateMode> activateModeList)

  - ### setDepends

    public TariffOption.Builder setDepends(Set<Integer> depends)

  - ### setIncompatible

    public TariffOption.Builder setIncompatible(Set<Integer> incompatible)

  - ### setHideForWeb

    public TariffOption.Builder setHideForWeb(boolean hideForWeb)

  - ### setHideForContractGroupsMode

    public TariffOption.Builder setHideForContractGroupsMode(int hideForContractGroupsMode)

  - ### setHideForContractLabels

    public TariffOption.Builder setHideForContractLabels(Set<Integer> hideForContractLabels)

  - ### setDateFrom

    public TariffOption.Builder setDateFrom(Date dateFrom)

  - ### setDateTo

    public TariffOption.Builder setDateTo(Date dateTo)

  - ### setComment

    public TariffOption.Builder setComment(String comment)

  - ### setDescription

    public TariffOption.Builder setDescription(String description)

  - ### setConfig

    public TariffOption.Builder setConfig(String config)

  - ### build

    public TariffOption build()